# Sample user data
users:
  - id: 1
    name: John Doe
    email: john.doe@example.com
    active: true
    roles:
      - admin
      - user
    profile:
      age: 32
      address:
        street: 123 Main St
        city: New York
        zipCode: 10001
        country: USA
      preferences:
        theme: dark
        notifications: true
        language: en-US
  
  - id: 2
    name: Jane Smith
    email: jane.smith@example.com
    active: false
    roles:
      - user
    profile:
      age: 28
      address:
        street: 456 Park Ave
        city: Boston
        zipCode: 02108
        country: USA
      preferences:
        theme: light
        notifications: false
        language: en-US

  - id: 3
    name: Alex Johnson
    email: alex.johnson@example.com
    active: true
    roles:
      - editor
      - user
    profile:
      age: 45
      address:
        street: 789 Broadway
        city: Chicago
        zipCode: 60601
        country: USA
      preferences:
        theme: system
        notifications: true
        language: en-US

# Using YAML anchors and references
common: &commonSettings
  version: 2.0
  environment: production
  debug: false

# Metadata with reference to common settings
meta:
  <<: *commonSettings  # This includes all the common settings
  total: 3
  generated: 2023-07-15T14:30:00Z
  company: Example Corp. 